package ebai

import (
	"testing"

	"git.rosy.net.cn/jx-callback/business/jxutils/jxcontext"

	"git.rosy.net.cn/baseapi/utils"
)

func TestGetOrder4PartRefund(t *testing.T) {
	order, err := CurPurchaseHandler.GetOrder4PartRefund("4089610070568120915")
	if err != nil {
		t.Fatal(err.Error())
	} else {
		t.Log(utils.Format4Output(order, false))
	}
}

func TestListOrders(t *testing.T) {
	order, err := CurPurchaseHandler.ListOrders(jxcontext.AdminCtx, "", nil, utils.GetCurDate(), "")
	if err != nil {
		t.Fatal(err.Error())
	} else {
		t.Log(utils.Format4Output(order, false))
	}
}
